#include "Coordinate.h"
#include <sstream>


Coordinate::Coordinate(int x, int y) 
{
   this->x = x;  // hay que usar this-> porque el parámetro 'x' se llama
                 // igual que el atributo 'x', y queremos asignar al atributo
                 // el valor del parámetro
   this->y = y;
}

Coordinate::Coordinate(const Coordinate& c) {
   x = c.x;     // no hace falta this-> , no hay nombres coincidentes
   y = c.y;
}

bool Coordinate::operator==(const Coordinate& c) const {
   return x == c.x && y == c.y;
}

string Coordinate::to_string() const {
   stringstream concatenation;
   concatenation << "[" << x << "," << y << "]";
   return concatenation.str();
}

Coordinate Coordinate::add(const Coordinate& c) const {
   Coordinate new_c(x+c.x,y+c.y);

   return new_c;
}

Coordinate Coordinate::add(int x,int y) const {
   Coordinate new_c(this->x+x, this->y+y);  // nuevamente hay que usar this->
                                            // porque los nombres coinciden 
        
   return new_c;
}

